Bug 1474461 - Redis package does not have a directory for sentinel logrotate [NEEDINFO]
Summary: Redis package does not have a directory for sentinel logrotate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: redis
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Flavio Percoco
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 16:51 UTC by Devon
Modified: 2018-01-07 23:29 UTC (History)
8 users (show)

Fixed In Version: redis-3.2.10-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-04 17:49:33 UTC
jcastran: needinfo?
nathans: needinfo? (jcastran)


Attachments (Terms of Use)

Description Devon 2017-07-24 16:51:19 UTC
1. Proposed title of this feature request

Redis package does not have a directory for sentinel logrotate

2. Who is the customer behind the request?

Joe Barnes of University of Souther California

Account: University of Southern California 1483021

TAM customer: no


SRM customer: no


Strategic: yes




3. What is the nature and description of the request?

Customer would like the redis package to include a directory for /etc/logrotate.d/sentinel

4. Why does the customer need this? (List the business requirements here)

Would provide a directory for logrotate on package install.

5. How would the customer like to achieve this? (List the functional requirements here)

Add a directory when the package is installed for logrotate.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Once the directory is added, we can confirm that logrotate works.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

No

9. Is the sales team involved in this request and do they have any additional input?

No

10. List any affected packages or components.

Redis

11. Would the customer be able to assist in testing this functionality if implemented?

Yes

Comment 2 Kamil Dudka 2017-07-25 08:08:59 UTC
This change needs to go to the redis package, not the logrotate package.  However, there is no redis package in RHEL-7.

Which redis package does the customer use?

Where do they get it from?

Comment 3 Devon 2017-07-25 16:41:29 UTC
Looks like the package that they are using is built from an el7 package however I see that the Packager and Vendor are the Fedora Project.

# rpm -qi redis
Name        : redis
Version     : 2.8.19
Release     : 2.el7
Architecture: x86_64
Install Date: Thu 08 Sep 2016 05:23:44 PM PDT
Group       : Unspecified
Size        : 1101496
License     : BSD
Signature   : RSA/SHA256, Tue 31 Mar 2015 02:32:58 PM PDT, Key ID
6a2faea2352c64e5
Source RPM  : redis-2.8.19-2.el7.src.rpm
Build Date  : Tue 31 Mar 2015 08:16:20 AM PDT
Build Host  : buildhw-07.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://redis.io
Summary     : A persistent key-value database

Should this be moved to a Fedora bug?

Comment 4 Kamil Dudka 2017-07-25 20:38:02 UTC
(In reply to Devon from comment #3)
> Should this be moved to a Fedora bug?

EPEL would probably make even more sense in this case.  Note that the currently supported version of redis in EPEL-7 is redis-3.2.3-1.el7 though.

Comment 5 Fedora End Of Life 2017-07-26 00:27:17 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora Update System 2017-08-18 01:30:23 UTC
redis-3.2.10-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-07d2039ffa

Comment 7 Fedora Update System 2017-08-18 20:24:24 UTC
redis-3.2.10-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-07d2039ffa

Comment 8 Fedora Update System 2017-09-04 17:49:33 UTC
redis-3.2.10-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 jcastran 2018-01-05 14:49:18 UTC
Hello,

It looks like in redis-3.2.10-2.el7 there is still no logrotate file created for sentinel.

Reopening to request another look at this and the fix provided.

Comment 10 Nathan Scott 2018-01-07 23:29:13 UTC
On el7, the systemd sentinel service file specifies:

    logfile /var/log/redis/sentinel.log

And /etc/logrotate.d/redis specifies:

    /var/log/redis/*.log {

... so, there should be no need for a separate logrotate file for sentinel.  Are you/they observing log rotation not being performed for sentinel, or was there simply an expectation of a sentinel-specific logrotate file (possibly leading to some confusion here)?


Note You need to log in before you can comment on or make changes to this bug.